Summary:   A text hyphenation library
Name:      hyphen
Version:   2.8.8
Release:   4%{?dist}
License:   GPLv2 or LGPLv2+ or MPLv1.1
URL:       http://hunspell.sf.net
Source:    http://downloads.sourceforge.net/hunspell/hyphen-%{version}.tar.gz
BuildRequires: perl-interpreter, patch, autoconf, automake, libtool, make
%ifnarch ppc64le
BuildRequires: valgrind
%endif

%description
Hyphen is a library for high quality hyphenation and justification.

%package devel
Summary: Files for developing with hyphen
Requires: hyphen = %{version}-%{release}

%description devel
This package provides header files and libraries for development with hyphen.

%package en
Summary: English hyphenation rules
BuildArch: noarch
Requires: hyphen

%description en
This package provides English hyphenation rules.

%prep
%autosetup

%build
%configure --disable-static
%make_build

%check
make check

%ifnarch ppc64le
VALGRIND=memcheck make check
%endif

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la

pushd %{buildroot}/%{_datadir}/hyphen/
en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_MW en_NA en_NZ en_PH en_SG en_TT en_ZA en_ZM en_ZW"
for lang in $en_US_aliases; do
        ln -s hyph_en_US.dic hyph_$lang.dic
done
popd



%files
%license COPYING
%doc AUTHORS ChangeLog README README.hyphen README.nonstandard TODO
%{_libdir}/*.so.*
%dir %{_datadir}/hyphen

%files en
%{_datadir}/hyphen/hyph_en*.dic

%files devel
%{_includedir}/hyphen.h
%{_libdir}/*.so
%{_bindir}/substrings.pl

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.8-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.8-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.8.8-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 2.8.8-1
- initial build
